var lang = {
    "adminModeWindowTitle": "Administrator Login",
    "adminPasswordLabel": "Type the administrator password",
    "adminLoginFormButton": "Log in",
    "adminSessionExpiredTitle": "Session Timed Out",
    "adminSessionExpired": "The administrator session has timed out. You are now logged on as user.",
    "userPasswordLabel": "Type your user password",
    "userLoginButton": "Log in",
    "systemAdminModeSuccess": "You logged on as administrator.",
    "errorWrongPassword": "Error. The password is incorrect.",
    "anotherAdminSessionTip": "Another administrator session is running.",
    "anotherAdminSessionKick": "Force the other administrator to disconnect",
    "adminLoginButtonText": "Administrator login",
    "adminInfoStatus": "Administrator",
    "loginSuccess": "You logged on as user.",
    "loginError": "Login failed.",
    "logoutButton": "Log off",
    "sessionExpired": "You are not logged on",
    "clusterMode": "Cluster mode",
    "backendfailure": "Internal server error",
    "backendfailureNote": "Error. Please, contact your ViPNet network administrator.",
    "errorLimit": "You have reached the limit of concurrent logon requests from your IP address",
    "SecuredNetTileText": "ViPNet VPN",
    "SecuredNetTileTooltip": "Private Network",
    "menuSecuredNet": "Private Network",
    "ShowNodeTitle": "Host properties",
    "checkText": "Check",
    "viewNodeText": "Properties",
    "typeNodeText": "Type",
    "nameNodeText": "Host name",
    "netNodeText": "Network",
    "modeNodeText": "Security level",
    "SWVersionNodeText": "Version",
    "ipAddressNodeText": "IP address",
    "statusNodeText": "State",
    "accessibility": "Connection status",
    "accessibleText": "Reachable",
    "notAccessibleText": "Unreachable",
    "connectionCheckingNowText": "Checking connection...",
    "activityText": "Availability",
    "nodesTypeText": {
        "client": "Clients",
        "coordinator": "Coordinators"
    },
    "secured_node_general": "General Information",
    "secured_node_ip_addresses": "IP Addresses",
    "secured_node_firewall": "Firewall",
    "secured_node_tunnel": "Tunneling",
    "secured_node_general_information": "General Information",
    "securedNodeIpAddresses": "IP Addresses",
    "securedNodeFirewall": "Firewall",
    "securedNodeTunnel": "Tunneling",
    "hostNameText": "Computer name",
    "vpnNetText": "VPN &#8470;",
    "securityModeText": "Security level",
    "SWVersionText": "Version",
    "OSVersionText": "OS version",
    "realIPAddressesText": "Real IP addresses",
    "virtualIPAddressesText": "Virtual IP addresses",
    "virtualIpAccessedText": "Can be accessed via virtual IP addresses",
    "realIpAccessedText": "Can be accessed via real IP addresses",
    "noBroadcastIpAccessedText": "Unavailable for broadcasting",
    "broadcastIpAccessedText": "Available for broadcasting",
    "securedNodeDNSNames": "DNS names",
    "securedNodesUseDNS": "Use DNS names",
    "securedNodesIpTypeAccessText": "Visibility IP addresses",
    "securedNodesAutoText": "Automatically",
    "securedNodesRealText": "Real IP addresses",
    "securedNodesVirtText": "Virtual IP addresses",
    "securedNodesRealHdText": "Real IP addresses",
    "securedNodesVirtHdText": "Virtual IP addresses",
    "ipAddressesForAccessText": "Access IP addresses:",
    "securedNodesIPHdText": "IP address",
    "securedNodesMetricHdText": "Metrics",
    "automaticText": "Automatically",
    "UDPPortForAccessText": "UDP access port",
    "TCPPortForAccessText": "Access port for TCP tunnel",
    "notSpecifiedText": "Not specified",
    "useIpAddressesForTunnelText": "Use IP addresses for tunneling:",
    "securedNodesUseVirtualIP": "Use virtual IP addresses",
    "securedNodesExcludesText": "Exceptions:",
    "excludeLocalIPText": "Do not use the IP addresses from your subnet",
    "excludeMoreIpText": "Do not tunnel the following IP addresses:",
    "ncIPAddr": "IP address",
    "ncIPRange": "IP address range",
    "add": "Add ",
    "edit": "Edit ",
    "IPAddrOrRange": "IP address or range",
    "nodeNotFound": "The host is not found",
    "textNAT": "NAT",
    "applyText": "Apply",
    "viewText": "Properties",
    "serviceAvailableAgainText": "Network filters: the service is accessible again",
    "serviceUnavailableText": "Network filters: the service is inaccessible",
    "dataProviderUpdatedText": "Network filters: the data on the server was updated",
    "serviceUnavailableTileText": "The service&nbsp;is inaccessible",
    "ruleName": "Filter name",
    "ruleNatName": "Rule name",
    "ruleAction": "Action",
    "ruleActionBlock": "Block traffic",
    "ruleActionPass": "Allow traffic",
    "ruleActionValue": {
        "pass": "Allow",
        "drop": "Block"
    },
    "ruleTranslation": "NAT",
    "ruleSource": "Sources",
    "ruleDestination": "Destinations",
    "ruleService": "Protocols",
    "ruleSchedule": "Schedules",
    "ruleActiveCB": "Filter enabled",
    "ruleNotActiveCB": "Filter disabled",
    "ruleNATActiveCB": "Rule enabled",
    "ruleNATNotActiveCB": "Rule disabled",
    "defaultRuleNameText": "Other types of traffic",
    "defaultRuleNamePrefix": "Filter",
    "defaultNatRuleNamePrefix": "Rule",
    "creationTypeText": {
        "Generated": "Security policy filters",
        "Policy": "Security policy filters from Policy Manager",
        "User": "User-defined filters",
        "Post": "Default filters"
    },
    "creationObjectsTypeText": {
        "Generated": "Object groups",
        "Policy": "Object groups from Policy Manager",
        "User": "User-defined object groups"
    },
    "addressSourceInterface": "IP address of the interface for outgoing connections",
    "ruleSourceTranslation": "Translate source address to",
    "ruleIntoOutboundInterface": "IP address of the interface, which sends IP packets (defined automatically)",
    "ruleTranslateIntoIPAddress": "other IP address",
    "ruleDestinationAddressTranslation": "Translate destination address to",
    "ruleDestinationPortTranslation": "Translate destination port to",
    "ruleTranslationSource": "Source translation:",
    "ruleTranslationDestination": "Destination translation:",
    "applyRulesText": "Apply all",
    "applyAllSuccessText": "All the changes have been successfully applied.",
    "applyAllWarningText": "Warning: Your network filters/object groups were changed but not applied. Click \"Apply all.\"",
    "dismissRulesText": "Discard changes",
    "dismissAllSuccessText": "The changes have been cancelled",
    "ncIntreface": "Network interface",
    "ncIfaceIPAddr": "with the IP address...",
    "ncIfaceGroup": "Interface group...",
    "errorIPRangeFaultText": "The starting address of the IP address range is greater than the ending address...",
    "totalRules": "Filters:",
    "totalObjects": "Objects:",
    "addRule": "Add",
    "ruleActivity": "Status",
    "ruleActivityValue": {
        "on": "Enabled",
        "off": "Disabled"
    },
    "allServices": "All",
    "noSchedules": "Always",
    "ruleDragText": "Move the filter...",
    "objectName": "Group name",
    "inclusionGridText": "Group contents",
    "exclusionGridText": "Exceptions",
    "ObjectParameters": "Object options",
    "emptyNamedObjectName": "This object group is empty",
    "emptyNamedObject": "The object has neither contents, nor exceptions.",
    "emptyInclusionNamedObject": "You cannot create an object that contains no content",
    "exclusionsAndInclusionsContainSameItem": "Object's contents and exceptions include the same items",
    "cantDeleteUsedObject": "You cannot delete an object used by other objects or rules",
    "firewallMenuItems": {
        "ipAddressOrRange": "IP address or IP address range...",
        "dnsName": "DNS name...",
        "ipAddressGroup": "IP address group...",
        "localHost": "My ViPNet  host",
        "otherHosts": "Other hosts",
        "broadcastAddresses": "Broadcast IP addresses",
        "multicastAddresses": "Group IP addresses",
        "protocolTCPUDP": "TCP/UDP protocol...",
        "messageICMP": "ICMP message...",
        "protocolIP": "IP protocol...",
        "protocolGroup": "Protocol group...",
        "schedule": "Time range...",
        "groupSchedules": "Schedule group...",
        "vpnHost": "ViPNet host...",
        "vpnGroup": "ViPNet host group...",
        "vpnNet": "ViPNet network number...",
        "vpnTemplate": "ViPNet host name template...",
        "allCoordinators": "All coordinators",
        "allClients": "All clients",
        "tunneledIP": "Tunneled IP addresses",
        "allObjects": "All objects",
        "interfaceWithIP": "Interface with an IP address...",
        "interfaceGroup": "Interface group..."
    },
    "firewallSetParamFormTitles": {
        "menuVPNNode": "ViPNet Hosts",
        "menuIPaddr": "IP Address",
        "menuIPdomain": "DNS Name",
        "menuIPgroup": "IP Address Groups",
        "menuTcpUdp": "TCP/UDP Protocol",
        "menuICMP": "ICMP Message",
        "menuProto": "Protocol List",
        "menuGroups": "Protocol Groups",
        "menuTime": {
            "add": "Create Schedule",
            "edit": "Edit Schedule"
        },
        "menuScheduleTime": {
            "add": "Create Schedule",
            "edit": "Edit Schedule"
        },
        "menuGroup": "Schedule Groups",
        "menuScheduleGroup": "Schedule Groups",
        "menuVPNgroup": "ViPNet Host Groups",
        "menuVPNNet": "ViPNet Network Number",
        "menuVPNTemplate": "ViPNet Host Name Template",
        "menuInterfaceAddr": "IP Address",
        "menuInterfaceGroup": "Interface Groups",
        "menuServiceTcpUdp": "TCP/UDP Protocol",
        "menuServiceICMP": "ICMP Message",
        "menuServiceProto": "Protocol List",
        "menuServiceGroups": "Protocol Groups"
    },
    "ncIPType": "Address type",
    "ncType": "Type",
    "ncIPMask": "IP subnet",
    "ncIPDomain": "Domain name",
    "ncIPSysObject": "System object",
    "ncIPGroup": "Object group",
    "ncVPNNode": "ViPNet host...",
    "ncVPNIdentificator": "ID",
    "ncVPNNet": "ViPNet network...",
    "ncVPNNetPrompt": "Number of a ViPNet network, which hosts will be added to the group:",
    "ncVPNTemplate": "ViPNet host name template...",
    "ncVPNTemplatePrompt1": "Specify a name template for ViPNet hosts to be added to this group",
    "ncVPNTemplatePrompt2": "When specifying a template use asterisk (*) to substitute any number of symbols and question mark (?) to substitute one symbol only.",
    "ncVPNSysObject": "System ViPNet object",
    "ncVPNGroup": "ViPNet network object group...",
    "ncAll": "All",
    "ncBegin": "Start",
    "ncEnd": "End",
    "ncIPNetAddr": "Subnet address",
    "ncIPNetMask": "Mask",
    "ncVpnSelectNode": "Select the ViPNet host:",
    "ncVpnFiltr": "Filter",
    "ncClearFilter": "Reset the filter",
    "ncNamedObjectFilter": "",
    "emptyNodesGrid": "The data is unavailable...",
    "noItemsToSelectText": "No objects available",
    "ncNone": "None",
    "SourceParameters": "Source",
    "DestinationParameters": "Destination",
    "InterfaceParameters": "Network interface options",
    "ncValue": "Value",
    "ncAddress": "Address",
    "ipGroupsName": {
        "PrivateNetworkIP": "Private IP addresses",
        "InternetIP": "Public IP addresses"
    },
    "vpnGroupsName": {},
    "interfacesGroupsName": {},
    "sys_objs": {
        "LocalHost": "My ViPNet  host",
        "OtherHost": "Other hosts",
        "BroadCast": "Broadcast IP addresses",
        "Multicast": "Group IP addresses",
        "TunneledIP": "All tunneled IP addresses",
        "AllCoordinators": "All coordinators",
        "AllClients": "All clients",
        "All": "All objects",
        "PrivateNetworkIP": "Private IP addresses",
        "InternetIP": "Public IP addresses",
        "InternetProxy": "Proxy server",
        "InternetGateways": "Open Internet coordinators"
    },
    "schDescr": "Schedule",
    "ScheduleParameters": "Schedule Options",
    "schMenuNewSchedule": "Time range...",
    "schMenuGroupSchedules": "Schedule group...",
    "schNamedObjectFilter": "",
    "schGroupsName": {
        "Workdays": "Working days",
        "Weekends": "Weekend"
    },
    "schFormTimeBlockTitle": "Time:",
    "schFormDateBlockTitle": "Repeat:",
    "schTimeFrom": "from",
    "schTimeTo": "to",
    "dailyText": "Daily",
    "weeklyText": "Weekly",
    "dateRangeFromText": "within the period",
    "dayNames": [
        "Sunday",
        "Monday",
        "Tuesday",
        "Wednesday",
        "Thursday",
        "Friday",
        "Saturday"
    ],
    "errorScheduleDateText": "The end date cannot be earlier than the start date",
    "ServiceParameters": "Protocol options",
    "svcMenuTCPUDP": "TCP/UDP protocol...",
    "svcMenuICMP": "ICMP message",
    "svcMenuIP": "IP protocol...",
    "svcMenuGroups": "Protocol group...",
    "svcDescr": "Protocol",
    "svcType": "Type",
    "svcProto": "Protocol",
    "svcICMPType": "ICMP type",
    "svcICMPCode": "ICMP code",
    "svcSource": "Source",
    "svcAll": "All ports",
    "svcPort": "Port number",
    "svcRange": "Port range",
    "svcDestination": "Destination",
    "svcProtoDescr": "Description",
    "svcNamedObjectFilter": "",
    "blankNotAllowed": "The field should not be empty",
    "beginAboveEnd": "The starting value must not exceed the ending value",
    "svcGroupsName": {},
    "menuFilters": "Network Filters",
    "MonitoringTileText": "Firewall",
    "MonitoringTileTooltip": "Firewall",
    "NamedObjectsTabMenu": "Object Groups",
    "NamedObjectsSubTabVpnNodes": "ViPNet Hosts",
    "NamedObjectsSubTabIPAddresses": "IP addresses",
    "NamedObjectsSubTabInterfaces": "Interfaces",
    "NamedObjectsSubTabServices": "Protocols",
    "NamedObjectsSubTabSchedules": "Schedules",
    "titleNamedObjectsSubTabVpnNodes": {
        "add": "Add ViPNet Host Group",
        "edit": "Edit ViPNet Host Group",
        "view": "View ViPNet Host Group"
    },
    "titleNamedObjectsSubTabIPAddresses": {
        "add": "Add IP Address Group",
        "edit": "Edit IP Address Group",
        "view": "View IP Address Group"
    },
    "titleNamedObjectsSubTabInterfaces": {
        "add": "Add Network Interface Group",
        "edit": "Edit Network Interface Group",
        "view": "View Network Interface Group"
    },
    "titleNamedObjectsSubTabServices": {
        "add": "Add Protocol Group",
        "edit": "Edit Protocol Group",
        "view": "View Protocol Group"
    },
    "titleNamedObjectsSubTabSchedules": {
        "add": "Add Schedule Group",
        "edit": "Edit Schedule Group",
        "view": "View Schedule Group"
    },
    "tabViPNetFilters": "Private Network Filters",
    "tabTunnelFilters": "Tunneled Host Filters",
    "tabLocalFilters": "Local Public Network Filters",
    "tabTransitFilters": "Forward Public Network Filters",
    "tabTranslateFilters": "Network Address Translation (NAT)",
    "titleViPNetFilters": {
        "add": "Add Private Network Filter",
        "edit": "Edit Private Network Filter",
        "view": "Options for Private Network Filter"
    },
    "titleTunnelFilters": {
        "add": "Add Tunneled Host Filter",
        "edit": "Edit Tunneled Host Filter",
        "view": "Options for Tunneled Hosts Filter"
    },
    "titleLocalFilters": {
        "add": "Add Local Public Network Filter",
        "edit": "Edit Local Public Network Filter",
        "view": "Options for Local Public Network Filter"
    },
    "titleTransitFilters": {
        "add": "Add Forward Public Network Filter",
        "edit": "Edit Forward Public Network Filter",
        "view": "Options for Forward Public Network Filter"
    },
    "titleTranslateFilters": {
        "add": "Add NAT Rule",
        "edit": "Edit NAT Rule",
        "view": "Options for NAT Rule"
    },
    "GroupHdType": "Type",
    "GroupHdName": "Name",
    "GroupHdContent": "Contents and exceptions",
    "exclusionText": "except for",
    "allNodes": "All ViPNet hosts",
    "allIPAddresses": "All IP addresses",
    "allInterfaces": "All interfaces",
    "vipnetNodesNamedObjectsDescription": "You can use ViPNet host groups to define a set of ViPNet hosts, consisting of single ViPNet hosts, masks of ViPNet hosts, and other ViPNet host groups.",
    "ipAddressesNamedObjectsDescription": "You can use IP addresses groups to define a set of IP addresses, consisting of single IP addresses, ranges of IP addresses, masks of IP addresses and other IP address groups.",
    "interfacesNamedObjectsDescription": "You can use interface groups to define a set of interfaces consisting of single IP addresses, ranges of IP addresses, and other interface groups.",
    "servicesNamedObjectsDescription": "You can use protocol group to define a set of protocols, consisting of TCP/UDP services, ICMP messages, protocols and other protocol groups.",
    "schedulesNamedObjectsDescription": "You can use schedules to define a set of schedules consisting of time ranges and other groups.",
    "nameDisallowed": "Invalid object name",
    "dependenciesText": "Usage",
    "noDependencies": "No relations.",
    "showText": "Show",
    "objectDependenciesTree": {
        "Level1": {
            "Generated": "Generated filters",
            "Policy": "Security policies from Policy Manager",
            "User": "User-defined filters",
            "Post": "Default filters"
        },
        "Level2": {
            "vpn": "Private network filters",
            "tunnel": "Tunneled host filters",
            "local": "Local public network filters",
            "transition": "Forward public network filters",
            "nat": "Network address translation (NAT)",
            "vpn_obj": "ViPNet host groups",
            "ip_obj": "IP address groups",
            "interfaces_obj": "Interface groups",
            "service_obj": "Protocol groups",
            "schedule_obj": "Schedule groups"
        },
        "Level3": {
            "rules": "Filter",
            "objects": "Object group"
        },
        "Level4": {
            "source": "Source",
            "destination": "Destination",
            "service": "Protocol",
            "schedule": "Schedule",
            "inclusions": "Group contents",
            "exclusions": "Exceptions"
        }
    },
    "firewallBackendErrors": {
        "1411": "Query has not been validated according to the xsd scheme",
        "1412": "Incorrect query format",
        "1413": "The firewall feature unavailable",
        "1414": "Unable to read rule. The rule with the provided ID does not exist",
        "1415": "Unable to delete rule. The rule with the provided ID does not exist",
        "1416": "Unable to renew rule. The rule with the provided ID does not exist",
        "1417": "Unable to move rule. The rule with the provided ID does not exist",
        "1418": "Unable to move rule. Internal context error",
        "1419": "Unable to read object group. The object group with the provided ID does not exist",
        "1420": "Unable to create object group. The object group with the same name already exists",
        "1421": "Unable to create object group. Internal context error",
        "1422": "Unable to renew object group. The object group with the provided ID does not exist",
        "1423": "Unable to delete object group. The object group with the provided ID does not exist",
        "1424": "Unable to retrieve the list of rules associated with the object group. The object group with the provided ID does not exist",
        "1425": "Unable to retrieve the list of object groups associated with the object group. The object group with the provided ID does not exist",
        "1501": "Error creating the service (internal error).",
        "1502": "Input query parameters are incorrect (internal error).",
        "1503": "Exception occurred: std::exception",
        "1504": "Exception occurred: CORBA::Exception",
        "1505": "Exception occurred: XTOOStatus",
        "1506": "The feature is not implemented"
    },
    "languageName": "English",
    "loadingText": "Loading...",
    "initText": "Initializing...",
    "version": "Version",
    "productTypeText": "Product type:",
    "undefinedText": "unknown",
    "timeValidationError": "The time is invalid. It must be specified in the format of HH:MM",
    "ip4ValidationError": "The IP address must be specified in the X.X.X.X format",
    "ipdomainValidationError": "A DNS name cannot contain the following symbols: {|}~[\\]^&#39;:;&lt;=&gt;?@!&quot;#$&%^`()+/,* more than one period in succession, and it cannot begin with a period.",
    "domainValidationError": "Type the domain name",
    "ip4maskValidationError": "Type the network address in the format of X.X.X.X/32.",
    "maskValidationError": "Type the netmask in the format of X.X.X.X.",
    "svcErrorText": "The value must be in the range from 0 to 65535.",
    "ip4NotInAllowRange": "The address is not in an allowed address space.",
    "attention": "Warning:",
    "errorServerConnection": "An error occurred while communicating with the server.",
    "demonsFailure": "Reduced functionality mode",
    "closeText": "Exit",
    "quitText": "Log off",
    "continueText": "Continue working",
    "refreshText": "Refresh",
    "ipAddress": "IP address",
    "network_interface_name": {
        "eth": "Ethernet",
        "wlan": "Wi-Fi",
        "ppp": "3G/4G",
        "trunk": "Ethernet"
    },
    "units": {
        "MB": "MB",
        "KB": "KB",
        "day": "d",
        "second": "s",
        "minute": "min",
        "hour": "h"
    },
    "about": {
        "main": "About",
        "licence": "License Agreement",
        "contacts": "Contacts",
        "warning": "Warning: This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.",
        "productName": "Product",
        "productPlatform": "Platform",
        "productLicense": "License",
        "softwareVersion": "Software version",
        "webVersion": "Web GUI version",
        "cryptoAccelerator": {
            "header": "Crypto accelerator",
            "card": "Card model",
            "firmware_version": "Firmware version",
            "software_version": "Driver software version",
            "self_test_passed": "Self-test passed",
            "self_test_failed": "Self-test failed"
        },
        "error": {
            "1403": "The operation is not allowed. Administrator privileges required."
        }
    },
    "savingText": "Saving...",
    "deleteText": "Remove",
    "addText": "Add",
    "editText": "Edit",
    "saveText": "Save",
    "cancelText": "Cancel",
    "errorText": "Error",
    "reloadText": "Refresh",
    "chooseText": "Select",
    "errorCode": "Code",
    "ActivatingText": "Enabling...",
    "DeactivatingText": "Disabling...",
    "upText": "Up",
    "downText": "Down",
    "reloadTableText": "Refresh",
    "warningText": "Warning:",
    "warningCloseBrowserText": "You did not apply the changes. Click “Apply all.”",
    "warningCloseBrowserConfirmText": "You are exiting the program without applying the changes you made.",
    "storeSyncError": "Could not save",
    "submitLabel": "Apply",
    "appTitle": "ViPNet Coordinator",
    "aboutLinkText": "About",
    "aboutWindowTitleText": "About",
    "copyrightFooter": "InfoTeCS",
    "copyrightFooterYears": "1991-2015",
    "brandName": "ViPNet",
    "productName": " Coordinator",
    "VpnTabMenu": "Private network",
    "VpnSubTabAll": "All",
    "VpnSubTabSelected": "Favorites",
    "StatisticsTabMenu": "Statistics",
    "StatisticsSubTabPacketsLog": "IP Packets Log",
    "StatisticsSubTabStats": "Statistics",
    "ConfigurationTabMenu": "Configurations",
    "ConfigurationSubTabDefault": "Main configuration",
    "iplir": {
        "off": {
            "title": "The Iplircfg daemon is stopped.",
            "items": [
                {
                    "text": "The firewall is unavailable."
                },
                {
                    "text": "The private network is unavailable."
                },
                {
                    "text": "You cannot view transport envelopes."
                }
            ]
        }
    },
    "failover": {
        "off": {
            "title": "The Failover daemon is stopped."
        }
    },
    "mftp": {
        "off": {
            "title": "The MFTP daemon is stopped.",
            "items": [
                {
                    "text": "The transport module is unavailable."
                }
            ]
        }
    }
};
function ExtLibraryLocalisation(){/*
This file is part of Ext JS 4.2

Copyright (c) 2011-2013 Sencha Inc

Contact:  http://www.sencha.com/contact

GNU General Public License Usage
This file may be used under the terms of the GNU General Public License version 3.0 as
published by the Free Software Foundation and appearing in the file LICENSE included in the
packaging of this file.

Please review the following information to ensure the GNU General Public License version 3.0
requirements will be met: http://www.gnu.org/copyleft/gpl.html.

If you are unsure which license is appropriate for your use, please contact the sales department
at http://www.sencha.com/contact.

Build date: 2013-05-16 14:36:50 (f9be68accb407158ba2b1be2c226a6ce1f649314)
*/
Ext.onReady(function(){if(Ext.data&&Ext.data.Types){Ext.data.Types.stripRe=/[\$,%]/g}if(Ext.Date){Ext.Date.monthNames=["January","February","March","April","May","June","July","August","September","October","November","December"];Ext.Date.getShortMonthName=function(a){return Ext.Date.monthNames[a].substring(0,3)};Ext.Date.monthNumbers={Jan:0,Feb:1,Mar:2,Apr:3,May:4,Jun:5,Jul:6,Aug:7,Sep:8,Oct:9,Nov:10,Dec:11};Ext.Date.getMonthNumber=function(a){return Ext.Date.monthNumbers[a.substring(0,1).toUpperCase()+a.substring(1,3).toLowerCase()]};Ext.Date.dayNames=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];Ext.Date.getShortDayName=function(a){return Ext.Date.dayNames[a].substring(0,3)};Ext.Date.parseCodes.S.s="(?:st|nd|rd|th)"}if(Ext.util&&Ext.util.Format){Ext.apply(Ext.util.Format,{thousandSeparator:",",decimalSeparator:".",currencySign:"$",dateFormat:"m/d/Y"})}});Ext.define("Ext.locale.en.view.View",{override:"Ext.view.View",emptyText:""});Ext.define("Ext.locale.en.grid.plugin.DragDrop",{override:"Ext.grid.plugin.DragDrop",dragText:"{0} selected row{1}"});Ext.define("Ext.locale.en.view.AbstractView",{override:"Ext.view.AbstractView",loadingText:"Loading..."});Ext.define("Ext.locale.en.picker.Date",{override:"Ext.picker.Date",todayText:"Today",minText:"This date is before the minimum date",maxText:"This date is after the maximum date",disabledDaysText:"",disabledDatesText:"",nextText:"Next Month (Control+Right)",prevText:"Previous Month (Control+Left)",monthYearText:"Choose a month (Control+Up/Down to move years)",todayTip:"{0} (Spacebar)",format:"m/d/y",startDay:0});Ext.define("Ext.locale.en.picker.Month",{override:"Ext.picker.Month",okText:"&#160;OK&#160;",cancelText:"Cancel"});Ext.define("Ext.locale.en.toolbar.Paging",{override:"Ext.PagingToolbar",beforePageText:"Page",afterPageText:"of {0}",firstText:"First Page",prevText:"Previous Page",nextText:"Next Page",lastText:"Last Page",refreshText:"Refresh",displayMsg:"Displaying {0} - {1} of {2}",emptyMsg:"No data to display"});Ext.define("Ext.locale.en.form.Basic",{override:"Ext.form.Basic",waitTitle:"Please Wait..."});Ext.define("Ext.locale.en.form.field.Base",{override:"Ext.form.field.Base",invalidText:"The value in this field is invalid"});Ext.define("Ext.locale.en.form.field.Text",{override:"Ext.form.field.Text",minLengthText:"The minimum length for this field is {0}",maxLengthText:"The maximum length for this field is {0}",blankText:"This field is required",regexText:"",emptyText:null});Ext.define("Ext.locale.en.form.field.Number",{override:"Ext.form.field.Number",decimalSeparator:".",decimalPrecision:2,minText:"The minimum value for this field is {0}",maxText:"The maximum value for this field is {0}",nanText:"{0} is not a valid number"});Ext.define("Ext.locale.en.form.field.Date",{override:"Ext.form.field.Date",disabledDaysText:"Disabled",disabledDatesText:"Disabled",minText:"The date in this field must be after {0}",maxText:"The date in this field must be before {0}",invalidText:"{0} is not a valid date - it must be in the format {1}",format:"m/d/y",altFormats:"m/d/Y|m-d-y|m-d-Y|m/d|m-d|md|mdy|mdY|d|Y-m-d"});Ext.define("Ext.locale.en.form.field.ComboBox",{override:"Ext.form.field.ComboBox",valueNotFoundText:undefined},function(){Ext.apply(Ext.form.field.ComboBox.prototype.defaultListConfig,{loadingText:"Loading..."})});Ext.define("Ext.locale.en.form.field.VTypes",{override:"Ext.form.field.VTypes",emailText:'This field should be an e-mail address in the format "user@example.com"',urlText:'This field should be a URL in the format "http://www.example.com"',alphaText:"This field should only contain letters and _",alphanumText:"This field should only contain letters, numbers and _"});Ext.define("Ext.locale.en.form.field.HtmlEditor",{override:"Ext.form.field.HtmlEditor",createLinkText:"Please enter the URL for the link:"},function(){Ext.apply(Ext.form.field.HtmlEditor.prototype,{buttonTips:{bold:{title:"Bold (Ctrl+B)",text:"Make the selected text bold.",cls:Ext.baseCSSPrefix+"html-editor-tip"},italic:{title:"Italic (Ctrl+I)",text:"Make the selected text italic.",cls:Ext.baseCSSPrefix+"html-editor-tip"},underline:{title:"Underline (Ctrl+U)",text:"Underline the selected text.",cls:Ext.baseCSSPrefix+"html-editor-tip"},increasefontsize:{title:"Grow Text",text:"Increase the font size.",cls:Ext.baseCSSPrefix+"html-editor-tip"},decreasefontsize:{title:"Shrink Text",text:"Decrease the font size.",cls:Ext.baseCSSPrefix+"html-editor-tip"},backcolor:{title:"Text Highlight Color",text:"Change the background color of the selected text.",cls:Ext.baseCSSPrefix+"html-editor-tip"},forecolor:{title:"Font Color",text:"Change the color of the selected text.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyleft:{title:"Align Text Left",text:"Align text to the left.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifycenter:{title:"Center Text",text:"Center text in the editor.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyright:{title:"Align Text Right",text:"Align text to the right.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertunorderedlist:{title:"Bullet List",text:"Start a bulleted list.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertorderedlist:{title:"Numbered List",text:"Start a numbered list.",cls:Ext.baseCSSPrefix+"html-editor-tip"},createlink:{title:"Hyperlink",text:"Make the selected text a hyperlink.",cls:Ext.baseCSSPrefix+"html-editor-tip"},sourceedit:{title:"Source Edit",text:"Switch to source editing mode.",cls:Ext.baseCSSPrefix+"html-editor-tip"}}})});Ext.define("Ext.locale.en.grid.header.Container",{override:"Ext.grid.header.Container",sortAscText:"Sort Ascending",sortDescText:"Sort Descending",columnsText:"Columns"});Ext.define("Ext.locale.en.grid.GroupingFeature",{override:"Ext.grid.GroupingFeature",emptyGroupText:"(None)",groupByText:"Group By This Field",showGroupsText:"Show in Groups"});Ext.define("Ext.locale.en.grid.PropertyColumnModel",{override:"Ext.grid.PropertyColumnModel",nameText:"Name",valueText:"Value",dateFormat:"m/j/Y",trueText:"true",falseText:"false"});Ext.define("Ext.locale.en.grid.BooleanColumn",{override:"Ext.grid.BooleanColumn",trueText:"true",falseText:"false",undefinedText:"&#160;"});Ext.define("Ext.locale.en.grid.NumberColumn",{override:"Ext.grid.NumberColumn",format:"0,000.00"});Ext.define("Ext.locale.en.grid.DateColumn",{override:"Ext.grid.DateColumn",format:"m/d/Y"});Ext.define("Ext.locale.en.form.field.Time",{override:"Ext.form.field.Time",minText:"The time in this field must be equal to or after {0}",maxText:"The time in this field must be equal to or before {0}",invalidText:"{0} is not a valid time",format:"g:i A",altFormats:"g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H"});Ext.define("Ext.locale.en.form.CheckboxGroup",{override:"Ext.form.CheckboxGroup",blankText:"You must select at least one item in this group"});Ext.define("Ext.locale.en.form.RadioGroup",{override:"Ext.form.RadioGroup",blankText:"You must select one item in this group"});Ext.define("Ext.locale.en.window.MessageBox",{override:"Ext.window.MessageBox",buttonText:{ok:"OK",cancel:"Cancel",yes:"Yes",no:"No"}});Ext.define("Ext.locale.en.Component",{override:"Ext.Component"});}