var lang = {
    "adminModeWindowTitle": "Logon de Administrador",
    "adminPasswordLabel": "Digite a senha do administrador",
    "adminLoginFormButton": "Logon",
    "adminSessionExpiredTitle": "Sessão Expirada",
    "adminSessionExpired": "A sessão do administrador expirou. Você está conectado como usuário.",
    "userPasswordLabel": "Digite sua senha do usuário",
    "userLoginButton": "Logon",
    "systemAdminModeSuccess": "Você está conectado como administrador.",
    "errorWrongPassword": "Erro. Senha inválida.",
    "anotherAdminSessionTip": "Há outra sessão de admnistrador em execução.",
    "anotherAdminSessionKick": "Forçar o outro administrador a desconectar",
    "adminLoginButtonText": "Logon como administrador",
    "adminInfoStatus": "Você é o administrador",
    "loginSuccess": "Você está conectado como usuário.",
    "loginError": "Erro de logon.",
    "logoutButton": "Log off",
    "sessionExpired": "Você não está conectado.",
    "clusterMode": "Modo do cluster",
    "backendfailure": "Erro interno do servidor.",
    "backendfailureNote": "Erro. Entre em contato com o administrador de rede ViPNet.",
    "errorLimit": "O limite de solicitações de logon simultâneas a partir do seu endereço IP foi atingido",
    "SecuredNetTileText": "ViPNet VPN",
    "SecuredNetTileTooltip": "Rede Privada",
    "menuSecuredNet": "Rede Privada",
    "ShowNodeTitle": "Propriedades do Host ViPNet",
    "checkText": "Verificar",
    "viewNodeText": "Exibir",
    "typeNodeText": "Tipo",
    "nameNodeText": "Nome do host",
    "netNodeText": "Rede",
    "modeNodeText": "Nível de segurança",
    "SWVersionNodeText": "Versão do programa",
    "ipAddressNodeText": "Endereço IP",
    "statusNodeText": "Status",
    "accessibility": "Acessibilidade",
    "accessibleText": "Acessível",
    "notAccessibleText": "Inacessível",
    "connectionCheckingNowText": "Verificar Conexão...",
    "activityText": "Disponibilidade",
    "nodesTypeText": {
        "client": "Clientes",
        "coordinator": "Coordenadores"
    },
    "secured_node_general": "Informações comuns",
    "secured_node_ip_addresses": "Endereços IP",
    "secured_node_firewall": "Firewall",
    "secured_node_tunnel": "Túnel",
    "secured_node_general_information": "Informações comuns",
    "securedNodeIpAddresses": "Endereços IP",
    "securedNodeFirewall": "Firewall",
    "securedNodeTunnel": "Túnel",
    "hostNameText": "Nome do computador",
    "vpnNetText": "VPN &#8470;",
    "securityModeText": "Nível de segurança",
    "SWVersionText": "Versão do programa",
    "OSVersionText": "Versão do SO",
    "realIPAddressesText": "Endereços IP reais",
    "virtualIPAddressesText": "Endereços IP virtuais",
    "virtualIpAccessedText": "Pode ser acessado via endereços IP virtuais",
    "realIpAccessedText": "Pode ser acessado via endereços IP reais",
    "noBroadcastIpAccessedText": "Indisponível para broadcasting",
    "broadcastIpAccessedText": "Disponível para broadcasting",
    "securedNodeDNSNames": "Nomes DNS",
    "securedNodesUseDNS": "Usar nomes de DNS",
    "securedNodesIpTypeAccessText": "Endereços IP de visibilidade do host",
    "securedNodesAutoText": "Automaticamente",
    "securedNodesRealText": "Endereços IP reais",
    "securedNodesVirtText": "Endereços IP virtuais",
    "securedNodesRealHdText": "Endereços IP reais",
    "securedNodesVirtHdText": "Endereços IP virtuais",
    "ipAddressesForAccessText": "Endereços IP de acesso:",
    "securedNodesIPHdText": "Endereço IP",
    "securedNodesMetricHdText": "Métrica",
    "automaticText": "Automaticamente",
    "UDPPortForAccessText": "Porta de acesso UDP",
    "TCPPortForAccessText": "Porta de acesso para túnel TCP",
    "notSpecifiedText": "Não especificado",
    "useIpAddressesForTunnelText": "Usar endereços IP para tunelamento:",
    "securedNodesUseVirtualIP": "Utilizar endereços IP virtuais",
    "securedNodesExcludesText": "Exceções:",
    "excludeLocalIPText": "Não use endereços IP em túnel da sub-rede do computador",
    "excludeMoreIpText": "Não use os seguintes endereços IP em túnel:",
    "ncIPAddr": "Endereço IP",
    "ncIPRange": "Intervalo de endereços IP",
    "add": "Adicionar ",
    "edit": "Alterar ",
    "IPAddrOrRange": "Endereço IP ou intervalo",
    "nodeNotFound": "Host não encontrado",
    "textNAT": "NAT",
    "applyText": "Aplicar",
    "viewText": "Exibir",
    "serviceAvailableAgainText": "Filtros de rede: o serviço está acessível novamente",
    "serviceUnavailableText": "Filtros de rede: o serviço está inacessível",
    "dataProviderUpdatedText": "Filtros de rede: os dados no servidor foram atualizados",
    "serviceUnavailableTileText": "O serviço está inacessível",
    "ruleName": "Nome do filtro",
    "ruleNatName": "Nome da regra",
    "ruleAction": "Ação",
    "ruleActionBlock": "Bloquear tráfego IP",
    "ruleActionPass": "Permitir tráfego IP",
    "ruleActionValue": {
        "pass": "Permitir",
        "drop": "Bloquear"
    },
    "ruleTranslation": "Conversão",
    "ruleSource": "Origens",
    "ruleDestination": "Destino",
    "ruleService": "Protocolos",
    "ruleSchedule": "Programações",
    "ruleActiveCB": "Filtro habilitado",
    "ruleNotActiveCB": "Filtro desabilitado",
    "ruleNATActiveCB": "Regra habilitada",
    "ruleNATNotActiveCB": "Regra desabilitada",
    "defaultRuleNameText": "Outro tráfego",
    "defaultRuleNamePrefix": "Filtro",
    "defaultNatRuleNamePrefix": "Regra",
    "creationTypeText": {
        "Generated": "Filtros de política de segurança",
        "Policy": "Filtros de política de segurança recebidos do ViPNet Policy Manager",
        "User": "Filtros personalizados",
        "Post": "Filtros padrão"
    },
    "creationObjectsTypeText": {
        "Generated": "Políticas de segurança",
        "Policy": "Políticas de segurança do Policy Manager",
        "User": "Grupos de objetos personalizáveis"
    },
    "addressSourceInterface": "Endereço IP da inteface para conexões de saída",
    "ruleSourceTranslation": "Converter endereços IP de origem para",
    "ruleIntoOutboundInterface": "Endereço IP da interface que envia pacotes IP (definido automaticamente)",
    "ruleTranslateIntoIPAddress": "Outro &amp;endereço IP",
    "ruleDestinationAddressTranslation": "Converter endereço IP do destino para",
    "ruleDestinationPortTranslation": "Converter &amp;porta de destino para",
    "ruleTranslationSource": "Conversão de origem:",
    "ruleTranslationDestination": "Conversão de destino:",
    "applyRulesText": "Aplicar todos",
    "applyAllSuccessText": "Todas as alterações foram aplicadas com sucesso.",
    "applyAllWarningText": "Aviso! Seus filtros de rede/grupos de objetos foram modificados, mas não aplicados. Clique em \"Aplicar tudo.\"",
    "dismissRulesText": "Descartar alterações",
    "dismissAllSuccessText": "As alterações foram canceladas",
    "ncIntreface": "Interface de rede",
    "ncIfaceIPAddr": "com o endereço IP...",
    "ncIfaceGroup": "Grupo de interfaces...",
    "errorIPRangeFaultText": "O endereço IP inicial é maior que o endereço IP final...",
    "totalRules": "Filtros:",
    "totalObjects": "Objetos:",
    "addRule": "Adicionar",
    "ruleActivity": "Status",
    "ruleActivityValue": {
        "on": "Habilitado",
        "off": "Desabilitado"
    },
    "allServices": "Todos",
    "noSchedules": "Sempre",
    "ruleDragText": "Mover o filtro...",
    "objectName": "Nome do grupo",
    "inclusionGridText": "Sumário",
    "exclusionGridText": "Exceções",
    "ObjectParameters": "Opções do objeto",
    "emptyNamedObjectName": "Grupo de objetos vazio",
    "emptyNamedObject": "O objeto não possui conteúdo e exceções.",
    "emptyInclusionNamedObject": "Não é possível criar um objeto sem conteúdo",
    "exclusionsAndInclusionsContainSameItem": "O conteúdo e as exceções do objeto incluem os mesmos itens",
    "cantDeleteUsedObject": "Não é possível excluir um objeto usado por outros objetos ou regras",
    "firewallMenuItems": {
        "ipAddressOrRange": "Endereço IP ou intervalo de endereços IP...",
        "dnsName": "Nome DNS...",
        "ipAddressGroup": "Grupo de endereços IP...",
        "localHost": "Meu host ViPNet",
        "otherHosts": "Outros hosts",
        "broadcastAddresses": "Endereços IP de broadcast",
        "multicastAddresses": "Endereços IP de grupo",
        "protocolTCPUDP": "Protocolo TCP/UDP...",
        "messageICMP": "Mensagem ICMP...",
        "protocolIP": "Protocolo IP...",
        "protocolGroup": "Grupo de protocolos...",
        "schedule": "Intervalo de tempo...",
        "groupSchedules": "Grupo de programações...",
        "vpnHost": "Host ViPNet...",
        "vpnGroup": "Grupo de hosts ViPNet...",
        "vpnNet": "Número da rede ViPNet...",
        "vpnTemplate": "Modelo do nome de host ViPNet...",
        "allCoordinators": "Todos os coordenadores",
        "allClients": "Todos os clientes",
        "tunneledIP": "Endereços IP com tunelamento",
        "allObjects": "Todos os objetos",
        "interfaceWithIP": "Interface com endereços IP...",
        "interfaceGroup": "Grupo de interfaces..."
    },
    "firewallSetParamFormTitles": {
        "menuVPNNode": "Hosts ViPNet",
        "menuIPaddr": "Endereço IP",
        "menuIPdomain": "Nome DNS",
        "menuIPgroup": "Grupos de Endereços IP",
        "menuTcpUdp": "Protocolo TCP/UDP",
        "menuICMP": "Mensagem ICMP",
        "menuProto": "Lista de Protocolos",
        "menuGroups": "Grupos de Protocolos",
        "menuTime": {
            "add": "Criar Programação",
            "edit": "Editar Programação"
        },
        "menuScheduleTime": {
            "add": "Criar Programação",
            "edit": "Editar Programação"
        },
        "menuGroup": "Grupos de Programações",
        "menuScheduleGroup": "Grupos de Programações",
        "menuVPNgroup": "Grupos de hosts ViPNet",
        "menuVPNNet": "Número da rede ViPNet",
        "menuVPNTemplate": "Modelo do nome de host ViPNet",
        "menuInterfaceAddr": "Endereço IP",
        "menuInterfaceGroup": "Grupos de Interfaces",
        "menuServiceTcpUdp": "Protocolo TCP/UDP",
        "menuServiceICMP": "Mensagem ICMP",
        "menuServiceProto": "Lista de Protocolos",
        "menuServiceGroups": "Grupos de Protocolos"
    },
    "ncIPType": "Tipo de Endereço",
    "ncType": "Tipo",
    "ncIPMask": "Sub-rede IP",
    "ncIPDomain": "Nome de domínio",
    "ncIPSysObject": "Objeto de sistema",
    "ncIPGroup": "Grupo de objetos",
    "ncVPNNode": "Host ViPNet...",
    "ncVPNIdentificator": "Identificador",
    "ncVPNNet": "Rede ViPNet...",
    "ncVPNNetPrompt": "Número de uma rede ViPNet cujos hosts serão adicionados ao grupo:",
    "ncVPNTemplate": "Modelo do nome de host ViPNet...",
    "ncVPNTemplatePrompt1": "Especifique modelo de nome para hosts ViPNet a serem adicionados no grupo:",
    "ncVPNTemplatePrompt2": "Ao especificar modelos, utilize asterisco (*) para substituir qualquer número de símbolos e interrogação (?) para substituir apenas um símbolo.",
    "ncVPNSysObject": "Objeto de sistema ViPNet",
    "ncVPNGroup": "Grupo de objetos de rede ViPNet...",
    "ncAll": "Todos",
    "ncBegin": "Início",
    "ncEnd": "Fim",
    "ncIPNetAddr": "Endereço de sub-rede",
    "ncIPNetMask": "Máscara",
    "ncVpnSelectNode": "Selecionar o host ViPNet:",
    "ncVpnFiltr": "Filtro",
    "ncClearFilter": "Redefinir o filtro",
    "ncNamedObjectFilter": "",
    "emptyNodesGrid": "Dados indisponíveis...",
    "noItemsToSelectText": "Nenhum objeto disponível",
    "ncNone": "Nenhum",
    "SourceParameters": "Origem",
    "DestinationParameters": "Destino",
    "InterfaceParameters": "Opções de interface de rede",
    "ncValue": "Valor",
    "ncAddress": "Endereço",
    "ipGroupsName": {
        "PrivateNetworkIP": "Endereço IP privado",
        "InternetIP": "Endereços IP públicos"
    },
    "vpnGroupsName": {},
    "interfacesGroupsName": {},
    "sys_objs": {
        "LocalHost": "Meu host ViPNet",
        "OtherHost": "Outros hosts",
        "BroadCast": "Endereços IP de broadcast",
        "Multicast": "Endereços IP de grupo",
        "TunneledIP": "Todos os endereços IP com tunelamento",
        "AllCoordinators": "Todos os coordenadores",
        "AllClients": "Todos os clientes",
        "All": "Todos os objetos",
        "PrivateNetworkIP": "Endereços IP privados",
        "InternetIP": "Endereços IP públicos",
        "InternetProxy": "Servidor Proxy",
        "InternetGateways": "Coordenadores de Internet aberta"
    },
    "schDescr": "Programação",
    "ScheduleParameters": "Opções de Programação",
    "schMenuNewSchedule": "Intervalo de tempo...",
    "schMenuGroupSchedules": "Grupo de programações...",
    "schNamedObjectFilter": "",
    "schGroupsName": {
        "Workdays": "Dias úteis",
        "Weekends": "Fim de semana"
    },
    "schFormTimeBlockTitle": "Hora em que o filtro será habilitado:",
    "schFormDateBlockTitle": "Repetir:",
    "schTimeFrom": "de",
    "schTimeTo": "até",
    "dailyText": "Diariamente",
    "weeklyText": "Semanalmente",
    "dateRangeFromText": "no período",
    "dayNames": [
        "Domingo",
        "Segunda-feira",
        "Terça-feira",
        "Quarta-feira",
        "Quinta-feira",
        "Sexta-feira",
        "Sábado"
    ],
    "errorScheduleDateText": "A data de término não pode ser anterior à data de início",
    "ServiceParameters": "Opções de protocolo",
    "svcMenuTCPUDP": "Protocolo TCP/UDP...",
    "svcMenuICMP": "Mensagem ICMP",
    "svcMenuIP": "Protocolo IP...",
    "svcMenuGroups": "Grupo de protocolos...",
    "svcDescr": "Protocolo",
    "svcType": "Tipo",
    "svcProto": "Protocolo",
    "svcICMPType": "Tipo ICMP",
    "svcICMPCode": "Código ICMP",
    "svcSource": "Origem",
    "svcAll": "Todas as portas",
    "svcPort": "Número da porta",
    "svcRange": "Intervalo de porta",
    "svcDestination": "Destino",
    "svcProtoDescr": "Descrição de protocolo",
    "svcNamedObjectFilter": "",
    "blankNotAllowed": "O campo não pode ficar vazio",
    "beginAboveEnd": "O valor inicial não deve exceder o valor final",
    "svcGroupsName": {},
    "menuFilters": "Filtros de Rede",
    "MonitoringTileText": "Firewall",
    "MonitoringTileTooltip": "Firewall",
    "NamedObjectsTabMenu": "Grupos de Objetos",
    "NamedObjectsSubTabVpnNodes": "Hosts ViPNet",
    "NamedObjectsSubTabIPAddresses": "Endereços IP",
    "NamedObjectsSubTabInterfaces": "Interfaces",
    "NamedObjectsSubTabServices": "Protocolos",
    "NamedObjectsSubTabSchedules": "Programações",
    "titleNamedObjectsSubTabVpnNodes": {
        "add": "Adicionar Grupo de Hosts ViPNet",
        "edit": "Editar Grupo de Hosts ViPNet",
        "view": "Exibir Grupo de Hosts ViPNet"
    },
    "titleNamedObjectsSubTabIPAddresses": {
        "add": "Adicionar Grupo de Endereços IP",
        "edit": "Editar Grupo de Endereços IP",
        "view": "Exibir Grupo de Endereços IP"
    },
    "titleNamedObjectsSubTabInterfaces": {
        "add": "Adicionar Grupo de Interfaces",
        "edit": "Editar Grupo de Interfaces",
        "view": "Exibir Grupo de Interfaces"
    },
    "titleNamedObjectsSubTabServices": {
        "add": "Adicionar Grupo de Protocolos",
        "edit": "Editar Grupo de Protocolos",
        "view": "Exibir Grupo de Protocolos"
    },
    "titleNamedObjectsSubTabSchedules": {
        "add": "Adicionar Grupo de Programações",
        "edit": "Editar Grupo de Programações",
        "view": "Exibir Grupo de Programações"
    },
    "tabViPNetFilters": "Filtros de rede privada",
    "tabTunnelFilters": "Filtros de hosts com tunelamento",
    "tabLocalFilters": "Filtros locais de rede pública",
    "tabTransitFilters": "Filtros de encaminhamento de rede pública",
    "tabTranslateFilters": "Conversão de endereços de rede (NAT)",
    "titleViPNetFilters": {
        "add": "Adicionar Filtro da Rede Privada",
        "edit": "Editar Filtro da Rede Privada",
        "view": "Opções para Filtro de Rede Privada"
    },
    "titleTunnelFilters": {
        "add": "Adicionar Filtro de Hosts com Tunelamento",
        "edit": "Editar Filtro de Hosts com Tunelamento",
        "view": "Opções para Filtro de Hosts com Tunelamento"
    },
    "titleLocalFilters": {
        "add": "Adicionar Filtro Local de Rede Pública",
        "edit": "Editar Filtro Local de Rede Pública",
        "view": "Opções para Filtro Local de Rede Pública"
    },
    "titleTransitFilters": {
        "add": "Adicionar Filtro de Encaminhamento de Rede Pública",
        "edit": "Editar Filtro de Encaminhamento de Rede Pública",
        "view": "Opções para Filtro de Encaminhamento de Rede Pública"
    },
    "titleTranslateFilters": {
        "add": "Adicionar Regra de NAT",
        "edit": "Editar Regra de NAT",
        "view": "Opções para Regras de Conversão de Endereços de Rede (NAT)"
    },
    "GroupHdType": "Tipo",
    "GroupHdName": "Nome",
    "GroupHdContent": "Conteúdo e exceções",
    "exclusionText": "exceto",
    "allNodes": "Todos os hosts",
    "allIPAddresses": "Todos os endereços IP",
    "allInterfaces": "Todas as interfaces",
    "vipnetNodesNamedObjectsDescription": "Os grupos de host ViPNet podem ser utilizados para definir um conjunto de hosts ViPNet, formado por um único host ViPNet, máscaras de hosts ViPNet e outros grupos de hosts ViPNet.",
    "ipAddressesNamedObjectsDescription": "É possível utilizar os grupos de endereços IP para definir um conjunto de endereços IP, formado por um único endereço IP, intervalos de endereços IP, máscaras de endereços IP e outros grupos de endereços IP.",
    "interfacesNamedObjectsDescription": "É possível utilizar os grupos de interface para definir um conjunto de interfaces formado por um único endereço IP, intervalos de endereços IP e outros grupos de interfaces.",
    "servicesNamedObjectsDescription": "É possível utilizar os grupos de protocolos para definir um conjunto de protocolos formado por serviços TCP/UDP, mensagens ICMP, protocolos e outros grupos de protocolos.",
    "schedulesNamedObjectsDescription": "É possível utilizar programações para definir conjuntos de programação formados por intervalos de tempo e outros grupos de programação.",
    "nameDisallowed": "Nome de objeto inválido",
    "dependenciesText": "Uso",
    "noDependencies": "Não há relações.",
    "showText": "Mostrar",
    "objectDependenciesTree": {
        "Level1": {
            "Generated": "Filtros gerados",
            "Policy": "Filtros de Política de Segurança (recebidos do ViPNet Policy Manager)",
            "User": "Filtros personalizados",
            "Post": "Filtros padrão"
        },
        "Level2": {
            "vpn": "Filtros de rede privada",
            "tunnel": "Filtros de hosts com tunelamento",
            "local": "Filtros locais de rede pública",
            "transition": "Filtros de encaminhamento de rede pública",
            "nat": "Conversão de endereços de rede (NAT)",
            "vpn_obj": "Grupos de host ViPNet",
            "ip_obj": "Grupos de endereços IP",
            "interfaces_obj": "Grupos de interfaces",
            "service_obj": "Grupos de protocolos",
            "schedule_obj": "Grupos de programações"
        },
        "Level3": {
            "rules": "Filtro",
            "objects": "Grupo de objetos"
        },
        "Level4": {
            "source": "Origem",
            "destination": "Destino",
            "service": "Protocolo",
            "schedule": "Programação",
            "inclusions": "Conteúdo do grupo",
            "exclusions": "Exceções"
        }
    },
    "firewallBackendErrors": {
        "1411": "A consulta não foi validada de acordo com o esquema xsd",
        "1412": "Formato de consulta incorreto",
        "1413": "Recurso de firewall indisponível",
        "1414": "Não é possível ler regra. A regra com a ID fornecida não existe",
        "1415": "Não é possível excluir regra. A regra com a ID fornecida não existe",
        "1416": "Não é possível renovar regra. A regra com a ID fornecida não existe",
        "1417": "Não é possível mover regra. A regra com a ID fornecida não existe",
        "1418": "Não é possível mover regra. Erro de contexto interno",
        "1419": "Não é possível ler grupo de objetos. O grupo de objetos com a ID fornecida não existe",
        "1420": "Não é possível criar grupo de objetos. O grupo de objetos com mesmo nome já existe",
        "1421": "Não é possível criar grupo de objetos. Erro de contexto interno",
        "1422": "Não é possível renovar grupo de objetos. O grupo de objetos  com a ID fornecida não existe",
        "1423": "Não é possível excluir grupo de objetos. O grupo de objetos  com a ID fornecida não existe",
        "1424": "Não é possível recuperar a lista de regras associada ao grupo objetos. O grupo objetos com a ID fornecida não existe",
        "1425": "Não é possível recuperar a lista de grupos de objetos associada ao grupo de objetos. O grupo objetos com a ID fornecida não existe",
        "1501": "Erro ao criar o serviço (erro interno).",
        "1502": "Parâmetros de consulta de entrada incorretos (erro interno).",
        "1503": "Ocorreu uma exceção: std::exceção",
        "1504": "Ocorreu uma exceção: CORBA::exceção",
        "1505": "Ocorreu uma exceção: XTOOStatus",
        "1506": "Recurso não implementado"
    }
};
function ExtLibraryLocalisation(){/*
This file is part of Ext JS 4.2

Copyright (c) 2011-2013 Sencha Inc

Contact:  http://www.sencha.com/contact

GNU General Public License Usage
This file may be used under the terms of the GNU General Public License version 3.0 as
published by the Free Software Foundation and appearing in the file LICENSE included in the
packaging of this file.

Please review the following information to ensure the GNU General Public License version 3.0
requirements will be met: http://www.gnu.org/copyleft/gpl.html.

If you are unsure which license is appropriate for your use, please contact the sales department
at http://www.sencha.com/contact.

Build date: 2013-05-16 14:36:50 (f9be68accb407158ba2b1be2c226a6ce1f649314)
*/
Ext.onReady(function(){if(Ext.Date){Ext.Date.monthNames=["Janeiro","Fevereiro","Mar&ccedil;o","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro"];Ext.Date.dayNames=["Domingo","Segunda","Ter&ccedil;a","Quarta","Quinta","Sexta","S&aacute;bado"]}if(Ext.util&&Ext.util.Format){Ext.apply(Ext.util.Format,{thousandSeparator:".",decimalSeparator:",",currencySign:"\u20ac",dateFormat:"d/m/Y"})}});Ext.define("Ext.locale.pt.view.View",{override:"Ext.view.View",emptyText:""});Ext.define("Ext.locale.pt.grid.plugin.DragDrop",{override:"Ext.grid.plugin.DragDrop",dragText:"{0} linha(s) seleccionada(s)"});Ext.define("Ext.locale.pt.tab.Tab",{override:"Ext.tab.Tab",closeText:"Fechar"});Ext.define("Ext.locale.pt.form.field.Base",{override:"Ext.form.field.Base",invalidText:"O valor para este campo &eacute; inv&aacute;lido"});Ext.define("Ext.locale.pt.view.AbstractView",{override:"Ext.view.AbstractView",loadingText:"Carregando..."});Ext.define("Ext.locale.pt.picker.Date",{override:"Ext.picker.Date",todayText:"Hoje",minText:"Esta data &eacute; anterior &agrave; menor data",maxText:"Esta data &eacute; posterior &agrave; maior data",disabledDaysText:"",disabledDatesText:"",nextText:"Pr&oacute;ximo M&ecirc;s (Control+Direita)",prevText:"M&ecirc;s Anterior (Control+Esquerda)",monthYearText:"Escolha um M&ecirc;s (Control+Cima/Baixo para mover entre os anos)",todayTip:"{0} (Espa&ccedil;o)",format:"d/m/Y",startDay:0});Ext.define("Ext.locale.pt.picker.Month",{override:"Ext.picker.Month",okText:"&#160;OK&#160;",cancelText:"Cancelar"});Ext.define("Ext.locale.pt.toolbar.Paging",{override:"Ext.PagingToolbar",beforePageText:"P&aacute;gina",afterPageText:"de {0}",firstText:"Primeira P&aacute;gina",prevText:"P&aacute;gina Anterior",nextText:"Pr&oacute;xima P&aacute;gina",lastText:"&Uacute;ltima P&aacute;gina",refreshText:"Atualizar",displayMsg:"<b>{0} &agrave; {1} de {2} registo(s)</b>",emptyMsg:"Sem registos para exibir"});Ext.define("Ext.locale.pt.form.field.Text",{override:"Ext.form.field.Text",minLengthText:"O tamanho m&iacute;nimo para este campo &eacute; {0}",maxLengthText:"O tamanho m&aacute;ximo para este campo &eacute; {0}",blankText:"Este campo &eacute; obrigat&oacute;rio.",regexText:"",emptyText:null});Ext.define("Ext.locale.pt.form.field.Number",{override:"Ext.form.field.Number",minText:"O valor m&iacute;nimo para este campo &eacute; {0}",maxText:"O valor m&aacute;ximo para este campo &eacute; {0}",nanText:"{0} n&atilde;o &eacute; um n&uacute;mero v&aacute;lido"});Ext.define("Ext.locale.pt.form.field.Date",{override:"Ext.form.field.Date",disabledDaysText:"Desabilitado",disabledDatesText:"Desabilitado",minText:"A data deste campo deve ser posterior a {0}",maxText:"A data deste campo deve ser anterior a {0}",invalidText:"{0} n&atilde;o &eacute; uma data v&aacute;lida - deve ser usado o formato {1}",format:"d/m/Y"});Ext.define("Ext.locale.pt.form.field.ComboBox",{override:"Ext.form.field.ComboBox",valueNotFoundText:undefined},function(){Ext.apply(Ext.form.field.ComboBox.prototype.defaultListConfig,{loadingText:"Carregando..."})});Ext.define("Ext.locale.pt.form.field.VTypes",{override:"Ext.form.field.VTypes",emailText:'Este campo deve ser um endere&ccedil;o de e-mail v&aacute;lido, no formato "utilizador@dominio.com"',urlText:'Este campo deve ser um URL no formato "http://www.dominio.com"',alphaText:"Este campo deve conter apenas letras e _",alphanumText:"Este campo deve conter apenas letras, n&uacute;meros e _"});Ext.define("Ext.locale.pt.form.field.HtmlEditor",{override:"Ext.form.field.HtmlEditor",createLinkText:"Por favor, entre com o URL do link:"},function(){Ext.apply(Ext.form.field.HtmlEditor.prototype,{buttonTips:{bold:{title:"Negrito (Ctrl+B)",text:"Deixa o texto seleccionado em negrito.",cls:Ext.baseCSSPrefix+"html-editor-tip"},italic:{title:"Italico (Ctrl+I)",text:"Deixa o texto seleccionado em italico.",cls:Ext.baseCSSPrefix+"html-editor-tip"},underline:{title:"Sublinhado (Ctrl+U)",text:"Sublinha o texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},increasefontsize:{title:"Aumentar Texto",text:"Aumenta o tamanho da fonte.",cls:Ext.baseCSSPrefix+"html-editor-tip"},decreasefontsize:{title:"Diminuir Texto",text:"Diminui o tamanho da fonte.",cls:Ext.baseCSSPrefix+"html-editor-tip"},backcolor:{title:"Cor de Fundo",text:"Muda a cor do fundo do texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},forecolor:{title:"Cor da Fonte",text:"Muda a cor do texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyleft:{title:"Alinhar &agrave; Esquerda",text:"Alinha o texto &agrave; esquerda.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifycenter:{title:"Centrar Texto",text:"Centra o texto no editor.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyright:{title:"Alinhar &agrave; Direita",text:"Alinha o texto &agrave; direita.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertunorderedlist:{title:"Lista com Marcadores",text:"Inicia uma lista com marcadores.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertorderedlist:{title:"Lista Numerada",text:"Inicia uma lista numerada.",cls:Ext.baseCSSPrefix+"html-editor-tip"},createlink:{title:"Hyperliga&ccedil;&atilde;o",text:"Transforma o texto selecionado num hyperlink.",cls:Ext.baseCSSPrefix+"html-editor-tip"},sourceedit:{title:"Editar Fonte",text:"Troca para o modo de edi&ccedil;&atilde;o de c&oacute;digo fonte.",cls:Ext.baseCSSPrefix+"html-editor-tip"}}})});Ext.define("Ext.locale.pt.grid.header.Container",{override:"Ext.grid.header.Container",sortAscText:"Ordem Ascendente",sortDescText:"Ordem Descendente",lockText:"Bloquear Coluna",unlockText:"Desbloquear Coluna",columnsText:"Colunas"});Ext.define("Ext.locale.pt.grid.PropertyColumnModel",{override:"Ext.grid.PropertyColumnModel",nameText:"Nome",valueText:"Valor",dateFormat:"d/m/Y"});Ext.define("Ext.locale.pt.window.MessageBox",{override:"Ext.window.MessageBox",buttonText:{ok:"OK",cancel:"Cancelar",yes:"Sim",no:"N&atilde;o"}});Ext.define("Ext.locale.pt.Component",{override:"Ext.Component"});}