var lang = {
    "adminModeWindowTitle": "Iniciar sesión del Administrador",
    "adminPasswordLabel": "Introduzca la contraseña del Administrador",
    "adminLoginFormButton": "Iniciar sesión",
    "adminSessionExpiredTitle": "Sesión expirada",
    "adminSessionExpired": "Sesión del administrador expirada. Vd. inició sesión como usuario.",
    "userPasswordLabel": "Introduzca la contraseña del usuario",
    "userLoginButton": "Iniciar sesión",
    "systemAdminModeSuccess": "Vd. ha iniciado sesión como administrador.",
    "errorWrongPassword": "Error. Contraseña inválida.",
    "anotherAdminSessionTip": "Sesión de otro administrador activa.",
    "anotherAdminSessionKick": "Desconectar la sesión de otro administrador de forma emergente",
    "adminLoginButtonText": "Iniciar sesión como administrador",
    "adminInfoStatus": "Vd. es administrador",
    "loginSuccess": "Vd. ha iniciado sesión como usuario.",
    "loginError": "Error de inicio de sesión.",
    "logoutButton": "Cerrar sesión",
    "sessionExpired": "Vd. no está autorizado",
    "clusterMode": "Modo del cluster",
    "backendfailure": "Error interno del servidor",
    "backendfailureNote": "Error. Por favor, contacte con el administrador de su red ViPNet.",
    "errorLimit": "Se alcanzó el límite de solicitudes simultáneas de autenticación desde su IP",
    "SecuredNetTileText": "ViPNet VPN",
    "SecuredNetTileTooltip": "Red privada",
    "menuSecuredNet": "Red privada",
    "ShowNodeTitle": "Propiedades del abonado",
    "checkText": "Verificar",
    "viewNodeText": "Ver",
    "typeNodeText": "Tipo",
    "nameNodeText": "Nombre del abonado",
    "netNodeText": "Red",
    "modeNodeText": "Nivel de seguridad",
    "SWVersionNodeText": "Versión del programa",
    "ipAddressNodeText": "Dirección IP",
    "statusNodeText": "Estado",
    "accessibility": "Accesibilidad",
    "accessibleText": "Accesible",
    "notAccessibleText": "Inaccesible",
    "connectionCheckingNowText": "Comprobar la conexión...",
    "activityText": "Actividad",
    "nodesTypeText": {
        "client": "Clientes",
        "coordinator": "Coordinadores"
    },
    "secured_node_general": "Información general",
    "secured_node_ip_addresses": "Direcciones IP",
    "secured_node_firewall": "Firewall",
    "secured_node_tunnel": "Túnel",
    "secured_node_general_information": "Información general",
    "securedNodeIpAddresses": "Direcciones IP",
    "securedNodeFirewall": "Firewall",
    "securedNodeTunnel": "Túnel",
    "hostNameText": "Nombre del equipo",
    "vpnNetText": "VPN &#8470;",
    "securityModeText": "Nivel de seguridad",
    "SWVersionText": "Versión del programa",
    "OSVersionText": "Versión del SO",
    "realIPAddressesText": "Direcciones IP reales",
    "virtualIPAddressesText": "Direcciones IP virtuales",
    "virtualIpAccessedText": "Accesible por las direcciones IP virtuales",
    "realIpAccessedText": "Accesible por las direcciones IP reales",
    "noBroadcastIpAccessedText": "No accesible por los paquetes IP de difusión",
    "broadcastIpAccessedText": "Accesible por los paquetes IP de difusión",
    "securedNodeDNSNames": "Nombres DNS",
    "securedNodesUseDNS": "Usar el nombre DNS",
    "securedNodesIpTypeAccessText": "Direcciones IP de acceso del abonado ViPNet",
    "securedNodesAutoText": "Automáticamente",
    "securedNodesRealText": "Direcciones IP reales",
    "securedNodesVirtText": "Direcciones IP virtuales",
    "securedNodesRealHdText": "Direcciones IP reales",
    "securedNodesVirtHdText": "Direcciones IP virtuales",
    "ipAddressesForAccessText": "Direcciones IP de acceso:",
    "securedNodesIPHdText": "Dirección IP",
    "securedNodesMetricHdText": "Métrica",
    "automaticText": "Automáticamente",
    "UDPPortForAccessText": "Puerto de acceso UDP",
    "TCPPortForAccessText": "Puerto de acceso para túnel TCP",
    "notSpecifiedText": "No especificado",
    "useIpAddressesForTunnelText": "Usar las direcciones IP para hacer el túnel:",
    "securedNodesUseVirtualIP": "Usar las direcciones IP virtuales",
    "securedNodesExcludesText": "Excepciones:",
    "excludeLocalIPText": "No hacer túnel con las direcciones IP incluídas en la subred de su equipo",
    "excludeMoreIpText": "No hacer túnel con las siguientes direcciones IP:",
    "ncIPAddr": "Dirección IP",
    "ncIPRange": "Intervalo de direcciones IP",
    "add": "Añadir ",
    "edit": "Modificar ",
    "IPAddrOrRange": "Dirección IP o rango",
    "nodeNotFound": "Abonado no encontrado",
    "textNAT": "NAT",
    "applyText": "Aplicar",
    "viewText": "Ver",
    "serviceAvailableAgainText": "Filtros de red: servicio disponible otra vez",
    "serviceUnavailableText": "Filtros de red: servicio no disponible",
    "dataProviderUpdatedText": "Filtros de red: datos del servidor actualizados",
    "serviceUnavailableTileText": "Servicio&nbsp;no disponible",
    "ruleName": "Nombre del filtro",
    "ruleNatName": "Nombre de la regla",
    "ruleAction": "Acción",
    "ruleActionBlock": "Bloquear el tráfico IP",
    "ruleActionPass": "Permitir tráfico IP",
    "ruleActionValue": {
        "pass": "Permite",
        "drop": "Bloquea"
    },
    "ruleTranslation": "Traducción",
    "ruleSource": "Origenes",
    "ruleDestination": "Destino",
    "ruleService": "Protocolos",
    "ruleSchedule": "Programaciones",
    "ruleActiveCB": "Filtro habilitado",
    "ruleNotActiveCB": "Filtro deshabilitado",
    "ruleNATActiveCB": "Regla habilitada",
    "ruleNATNotActiveCB": "Regla deshabilitada",
    "defaultRuleNameText": "Otro tráfico",
    "defaultRuleNamePrefix": "Filtro",
    "defaultNatRuleNamePrefix": "Regla",
    "creationTypeText": {
        "Generated": "Filtros de directivas de seguridad",
        "Policy": "Filtros de directivas de seguridad desde Administrador de Directivas",
        "User": "Filtros personalizados",
        "Post": "Filtros predeterminados"
    },
    "creationObjectsTypeText": {
        "Generated": "Directivas de seguridad",
        "Policy": "Directivas de seguridad del Administrador de Directivas",
        "User": "Grupos de objetos personalizados"
    },
    "addressSourceInterface": "Dirección IP de la interfaz saliente",
    "ruleSourceTranslation": "Sustituir la dirección de orgien por",
    "ruleIntoOutboundInterface": "Dirección de la interfaz de salida (se detecta automáticamente)",
    "ruleTranslateIntoIPAddress": "otra dirección IP",
    "ruleDestinationAddressTranslation": "Sustituir la dirección IP de destino por",
    "ruleDestinationPortTranslation": "Sustituir el puerto de destino por",
    "ruleTranslationSource": "Traducción de origen:",
    "ruleTranslationDestination": "Traducción de destino:",
    "applyRulesText": "Aplicar todos",
    "applyAllSuccessText": "Todos los cambios aplicados correctamente.",
    "applyAllWarningText": "¡Atención! Los filtros de red/grupos de objetos han sido cambiados, pero no aplicados. Haga clic sobre \"Aplicar todo\".",
    "dismissRulesText": "Descartar cambios",
    "dismissAllSuccessText": "Cambios cancelados",
    "ncIntreface": "Interfaz de la red",
    "ncIfaceIPAddr": "con la dirección IP...",
    "ncIfaceGroup": "Grupo de interfaces...",
    "errorIPRangeFaultText": "En el rango de direcciones IP la dirección inicial es mayor que la dirección final...",
    "totalRules": "Filtro:",
    "totalObjects": "Objetos:",
    "addRule": "Añadir",
    "ruleActivity": "Estado",
    "ruleActivityValue": {
        "on": "Habilitar",
        "off": "Deshabilitar"
    },
    "allServices": "Todos",
    "noSchedules": "Siempre",
    "ruleDragText": "Mover filtro...",
    "objectName": "Nombre del grupo",
    "inclusionGridText": "Contenido",
    "exclusionGridText": "Excepciones",
    "ObjectParameters": "Opciones del objeto",
    "emptyNamedObjectName": "Grupo de objetos vacío",
    "emptyNamedObject": "El objeto no tiene contenido ni excepciones del mismo",
    "emptyInclusionNamedObject": "No se puede crear un objeto sin contenido",
    "exclusionsAndInclusionsContainSameItem": "El contenido y las excepciones del objeto contienen los mismos elementos",
    "cantDeleteUsedObject": "No es posible borrar un objeto usado por otros objetos o reglas",
    "firewallMenuItems": {
        "ipAddressOrRange": "Dirección IP o intervalo de direcciones IP...",
        "dnsName": "Nombre DNS...",
        "ipAddressGroup": "Grupo de direcciones IP...",
        "localHost": "Mi abonado ViPNet",
        "otherHosts": "Otros abonados",
        "broadcastAddresses": "Direcciones IP de difusión",
        "multicastAddresses": "Direcciones IP de grupo",
        "protocolTCPUDP": "Protocolo TCP/UDP...",
        "messageICMP": "Mensaje ICMP...",
        "protocolIP": "Protocolo IP...",
        "protocolGroup": "Grupo de protocolos...",
        "schedule": "Intervalo de tiempo...",
        "groupSchedules": "Grupo de programaciones...",
        "vpnHost": "Abonado ViPNet...",
        "vpnGroup": "Grupo de abonados ViPNet...",
        "vpnNet": "Número de la red ViPNet...",
        "vpnTemplate": "Plantilla del nombre de abonados...",
        "allCoordinators": "Todos los coordinadores",
        "allClients": "Todos los Clientes",
        "tunneledIP": "Direcciones IP tunelizadas",
        "allObjects": "Todos los objetos",
        "interfaceWithIP": "Interfaz con dirección IP...",
        "interfaceGroup": "Grupo de interfaces..."
    },
    "firewallSetParamFormTitles": {
        "menuVPNNode": "Abonados ViPNet",
        "menuIPaddr": "Dirección IP",
        "menuIPdomain": "Nombre DNS",
        "menuIPgroup": "Grupos de direcciones IP",
        "menuTcpUdp": "Protocolo TCP/UDP",
        "menuICMP": "Mensaje ICMP",
        "menuProto": "Lista de los protocolos",
        "menuGroups": "Grupos de protocolos",
        "menuTime": {
            "add": "Crear programación",
            "edit": "Editar programación"
        },
        "menuScheduleTime": {
            "add": "Crear programación",
            "edit": "Editar programación"
        },
        "menuGroup": "Grupos de programaciones",
        "menuScheduleGroup": "Grupos de programaciones",
        "menuVPNgroup": "Grupos de abonados ViPNet",
        "menuVPNNet": "Número de la red ViPNet",
        "menuVPNTemplate": "Plantilla del nombre de abonados",
        "menuInterfaceAddr": "Dirección IP",
        "menuInterfaceGroup": "Grupos de interfaces",
        "menuServiceTcpUdp": "Protocolo TCP/UDP",
        "menuServiceICMP": "Mensaje ICMP",
        "menuServiceProto": "Lista de los protocolos",
        "menuServiceGroups": "Grupos de protocolos"
    },
    "ncIPType": "Tipo de dirección",
    "ncType": "Tipo",
    "ncIPMask": "Subred IP",
    "ncIPDomain": "Nombre del dominio",
    "ncIPSysObject": "Objeto de sistema",
    "ncIPGroup": "Grupo de objetos",
    "ncVPNNode": "Abonado ViPNet...",
    "ncVPNIdentificator": "Identificador",
    "ncVPNNet": "Red ViPNet...",
    "ncVPNNetPrompt": "Número de la red cuyos abonados serán añadidos al grupo:",
    "ncVPNTemplate": "Plantilla del nombre de abonados...",
    "ncVPNTemplatePrompt1": "Plantilla del nombre de abonados que serán añadidos al grupo:",
    "ncVPNTemplatePrompt2": "Al establecer la plantilla, use el asterisco (*) para sustituir cualquier número de carácteres y un signo de interrogación (?) para sustituir un solo carácter.",
    "ncVPNSysObject": "Objeto ViPNet del sistema",
    "ncVPNGroup": "Grupo de objetos de la red ViPNet...",
    "ncAll": "Todos",
    "ncBegin": "Inicio",
    "ncEnd": "Fin",
    "ncIPNetAddr": "Dirección de la subred",
    "ncIPNetMask": "Máscara",
    "ncVpnSelectNode": "Seleccione abonado ViPNet:",
    "ncVpnFiltr": "Filtro",
    "ncClearFilter": "Restablecer filtro",
    "ncNamedObjectFilter": "_",
    "emptyNodesGrid": "Datos no disponibles...",
    "noItemsToSelectText": "No hay objetos disponibles para seleccionar",
    "ncNone": "Faltan",
    "SourceParameters": "Origen",
    "DestinationParameters": "Destino",
    "InterfaceParameters": "Opciones de interfaz",
    "ncValue": "Valor",
    "ncAddress": "Dirección",
    "ipGroupsName": {
        "PrivateNetworkIP": "Direcciones IP privadas",
        "InternetIP": "Direcciones IP públicas"
    },
    "vpnGroupsName": {},
    "interfacesGroupsName": {},
    "sys_objs": {
        "LocalHost": "Mi abonado ViPNet",
        "OtherHost": "Otros abonados",
        "BroadCast": "Direcciones IP de difusión",
        "Multicast": "Direcciones IP de grupo",
        "TunneledIP": "Todas las direcciones IP tunelizadas",
        "AllCoordinators": "Todos los coordinadores",
        "AllClients": "Todos los clientes",
        "All": "Todos los objetos",
        "PrivateNetworkIP": "Direcciones IP privadas",
        "InternetIP": "Direcciones IP públicas",
        "InternetProxy": "Servidor proxy",
        "InternetGateways": "Coordinadores de Internet Abierto"
    },
    "schDescr": "Programación",
    "ScheduleParameters": "Opciones de programación",
    "schMenuNewSchedule": "Intervalo de tiempo...",
    "schMenuGroupSchedules": "Grupo de programaciones...",
    "schNamedObjectFilter": "_",
    "schGroupsName": {
        "Workdays": "Días laborables",
        "Weekends": "Fines de semana"
    },
    "schFormTimeBlockTitle": "Hora de realización del filtro:",
    "schFormDateBlockTitle": "Hora de realización del filtro:",
    "schTimeFrom": "de",
    "schTimeTo": "hasta",
    "dailyText": "Diario",
    "weeklyText": "Semanal",
    "dateRangeFromText": "en el periodo",
    "dayNames": [
        "Domingo",
        "Lunes",
        "Martes",
        "Miércoles",
        "Jueves",
        "Viernes",
        "Sábado"
    ],
    "errorScheduleDateText": "El valor de la fecha final no debe ser anterior a la fecha inicial",
    "ServiceParameters": "Parámetros del protocolo",
    "svcMenuTCPUDP": "Protocolo TCP/UDP...",
    "svcMenuICMP": "Mensaje ICMP",
    "svcMenuIP": "Protocolo IP...",
    "svcMenuGroups": "Grupo de protocolos...",
    "svcDescr": "Protocolo",
    "svcType": "Tipo",
    "svcProto": "Protocolo",
    "svcICMPType": "Tipo ICMP",
    "svcICMPCode": "Código ICMP",
    "svcSource": "Origen",
    "svcAll": "Todos los puertos",
    "svcPort": "Número de puerto",
    "svcRange": "Rango de puertos",
    "svcDestination": "Destino",
    "svcProtoDescr": "Descripción del protocolo",
    "svcNamedObjectFilter": "_",
    "blankNotAllowed": "El campo no puede ser vacía",
    "beginAboveEnd": "El valor inicial no puede superar el final",
    "svcGroupsName": {},
    "menuFilters": "Filtros de red",
    "MonitoringTileText": "Firewall",
    "MonitoringTileTooltip": "Firewall",
    "NamedObjectsTabMenu": "Grupos de objetos",
    "NamedObjectsSubTabVpnNodes": "Abonados ViPNet",
    "NamedObjectsSubTabIPAddresses": "Direcciones IP",
    "NamedObjectsSubTabInterfaces": "Interfaces",
    "NamedObjectsSubTabServices": "Protocolos",
    "NamedObjectsSubTabSchedules": "Programaciones",
    "titleNamedObjectsSubTabVpnNodes": {
        "add": "Añadir el grupo de abonados ViPNet",
        "edit": "Editar el grupo de abonados ViPNet",
        "view": "Ver el grupo de abonados ViPNet"
    },
    "titleNamedObjectsSubTabIPAddresses": {
        "add": "Añadir el grupo de direcciones IP",
        "edit": "Editar el grupo de direcciones IP",
        "view": "Ver el grupo de direcciones IP"
    },
    "titleNamedObjectsSubTabInterfaces": {
        "add": "Añadir el grupo de interfaces",
        "edit": "Editar el grupo de interfaces",
        "view": "Ver el grupo de interfaces"
    },
    "titleNamedObjectsSubTabServices": {
        "add": "Añadir el grupo de protocolos",
        "edit": "Editar el grupo de protocolos",
        "view": "Ver el grupo de protocolos"
    },
    "titleNamedObjectsSubTabSchedules": {
        "add": "Añadir el grupo de programaciones",
        "edit": "Editar el grupo de programaciones",
        "view": "Ver el grupo de programaciones"
    },
    "tabViPNetFilters": "Filtros de la red privada",
    "tabTunnelFilters": "Filtros para los abonados tunelizados",
    "tabLocalFilters": "Filtros locales de la red pública",
    "tabTransitFilters": "Filtros de tránsito de la red pública",
    "tabTranslateFilters": "Traducción de direcciones",
    "titleViPNetFilters": {
        "add": "Añadir el filtro de la red privada",
        "edit": "Editar el filtro de la red privada",
        "view": "Propiedades del filtro de la red privada"
    },
    "titleTunnelFilters": {
        "add": "Añadir el filtro de los abonados tunelizados",
        "edit": "Editar el filtro de los abonados tunelizados",
        "view": "Propiedades del filtro de abonados tunelizados"
    },
    "titleLocalFilters": {
        "add": "Añadir el filtro local de la red pública",
        "edit": "Editar el filtro local de la red pública",
        "view": "Propiedades del filtro local de la red pública"
    },
    "titleTransitFilters": {
        "add": "Añadir el filtro de tránsito de la red pública",
        "edit": "Editar el filtro de tránsito de la red pública",
        "view": "Propiedades del filtro de tránsito de la red pública"
    },
    "titleTranslateFilters": {
        "add": "Añadir la regla NAT",
        "edit": "Editar la regla NAT",
        "view": "Propiedades de la regla de traducción de direcciones"
    },
    "GroupHdType": "Tipo",
    "GroupHdName": "Nombre",
    "GroupHdContent": "Contenido y excepciones",
    "exclusionText": "excepto",
    "allNodes": "Todos los abonados",
    "allIPAddresses": "Todas las direcciones IP",
    "allInterfaces": "Todos los interfaces",
    "vipnetNodesNamedObjectsDescription": "El grupo de los abonados ViPNet puede incluir los abonados separados ViPNet  establecidos por las plantillas de nombres, y otros grupos de los abonados ViPNet.",
    "ipAddressesNamedObjectsDescription": "El grupo de direcciones IP puede incluir direcciones IP separadas, intervalos de direcciones IP, direcciones IP definidas por las máscaras y otros grupos de direcciones IP.",
    "interfacesNamedObjectsDescription": "El grupo de interfaces puede incluir direcciones IP separadas de interfaces, intervalos de direcciones IP y otros grupos de interfaces.",
    "servicesNamedObjectsDescription": "El grupo de protocolos puede incluir servicios TCP, UDP, mensajes ICMP, protocolos y otros grupos de protocolos.",
    "schedulesNamedObjectsDescription": "La programación permite establecer un conjunto que consiste de intervalos temporales y otros grupos.",
    "nameDisallowed": "Nombre del objeto no válido",
    "dependenciesText": "Uso",
    "noDependencies": "No hay relaciones.",
    "showText": "Mostrar",
    "objectDependenciesTree": {
        "Level1": {
            "Generated": "Filtros generados",
            "Policy": "Directivas de seguridad desde Administrador de Directivas",
            "User": "Filtros personalizados",
            "Post": "Filtros predeterminados"
        },
        "Level2": {
            "vpn": "Filtros de la red privada",
            "tunnel": "Filtros para los abonados tunelizados",
            "local": "Filtros locales de la red pública",
            "transition": "Filtros de tránsito de la red pública",
            "nat": "Traducción de direcciones",
            "vpn_obj": "Grupos de abonados ViPNet",
            "ip_obj": "Grupos de direcciones IP",
            "interfaces_obj": "Grupos de interfaces",
            "service_obj": "Grupos de protocolos",
            "schedule_obj": "Grupos de programaciones"
        },
        "Level3": {
            "rules": "Filtro",
            "objects": "Grupo de objetos"
        },
        "Level4": {
            "source": "Origen",
            "destination": "Destino",
            "service": "Protocolo",
            "schedule": "Programación",
            "inclusions": "Contenido",
            "exclusions": "Excepciones"
        }
    },
    "firewallBackendErrors": {
        "1411": "Solicitud no validada por esquema xsd",
        "1412": "Formato de solicitud incorrecto",
        "1413": "Servicio de firewall no disponible",
        "1414": "No se puede leer la regla, no hay regla con este ID",
        "1415": "No se puede borrar la regla, no hay  regla con este ID",
        "1416": "No se puede actualizar la regla, no hay regla con este ID",
        "1417": "No se puede mover la regla, no hay regla con este ID",
        "1418": "No se puede mover la regla, error interno del contexto",
        "1419": "No se puede leer el grupo de objetos, no hay grupo de objetos con este ID",
        "1420": "No se puede crear el grupo de objetos, el grupo de objetos con este nombre ya existe",
        "1421": "No se puede crear el grupo de objetos, error interno del contexto",
        "1422": "No se puede actualizar el grupo de objetos, no hay grupo de objetos con este ID",
        "1423": "No se puede borrar el grupo de objetos, no hay grupo de objetos con este ID",
        "1424": "No se puede recibir el listado de reglas que dependen del grupo de objeto, no hay grupo de objetos con este ID",
        "1425": "No se puede recibir otros grupos de objetos que dependen del grupo de objetos, no hay grupo de objetos con este ID",
        "1501": "Error al crear el servicio (error interno).",
        "1502": "Parámetros de entrada de la solicitud no correctos (error interno).",
        "1503": "Excepción registrada std::exception",
        "1504": "Excepción registrada CORBA::Exception",
        "1505": "Excepción registrada XTOOStatus",
        "1506": "Funcionalidad no realizada"
    }
};
function ExtLibraryLocalisation(){/*
This file is part of Ext JS 4.2

Copyright (c) 2011-2013 Sencha Inc

Contact:  http://www.sencha.com/contact

GNU General Public License Usage
This file may be used under the terms of the GNU General Public License version 3.0 as
published by the Free Software Foundation and appearing in the file LICENSE included in the
packaging of this file.

Please review the following information to ensure the GNU General Public License version 3.0
requirements will be met: http://www.gnu.org/copyleft/gpl.html.

If you are unsure which license is appropriate for your use, please contact the sales department
at http://www.sencha.com/contact.

Build date: 2013-05-16 14:36:50 (f9be68accb407158ba2b1be2c226a6ce1f649314)
*/
Ext.onReady(function(){if(Ext.Date){Ext.Date.monthNames=["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"];Ext.Date.getShortMonthName=function(a){return Ext.Date.monthNames[a].substring(0,3)};Ext.Date.monthNumbers={Ene:0,Feb:1,Mar:2,Abr:3,May:4,Jun:5,Jul:6,Ago:7,Sep:8,Oct:9,Nov:10,Dic:11};Ext.Date.getMonthNumber=function(a){return Ext.Date.monthNumbers[a.substring(0,1).toUpperCase()+a.substring(1,3).toLowerCase()]};Ext.Date.dayNames=["Domingo","Lunes","Martes","Miércoles","Jueves","Viernes","Sábado"];Ext.Date.getShortDayName=function(a){if(a==3){return"Mié"}if(a==6){return"Sáb"}return Ext.Date.dayNames[a].substring(0,3)};Ext.Date.parseCodes.S.s="(?:st|nd|rd|th)"}if(Ext.util&&Ext.util.Format){Ext.apply(Ext.util.Format,{thousandSeparator:".",decimalSeparator:",",currencySign:"\u20ac",dateFormat:"d/m/Y"})}});Ext.define("Ext.locale.es.view.View",{override:"Ext.view.View",emptyText:""});Ext.define("Ext.locale.es.grid.plugin.DragDrop",{override:"Ext.grid.plugin.DragDrop",dragText:"{0} fila(s) seleccionada(s)"});Ext.define("Ext.locale.es.view.AbstractView",{override:"Ext.view.AbstractView",loadingText:"Cargando..."});Ext.define("Ext.locale.es.picker.Date",{override:"Ext.picker.Date",todayText:"Hoy",minText:"Esta fecha es anterior a la fecha mínima",maxText:"Esta fecha es posterior a la fecha máxima",disabledDaysText:"",disabledDatesText:"",nextText:"Mes Siguiente (Control+Right)",prevText:"Mes Anterior (Control+Left)",monthYearText:"Seleccione un mes (Control+Up/Down para desplazar el año)",todayTip:"{0} (Barra espaciadora)",format:"d/m/Y",startDay:1});Ext.define("Ext.locale.es.picker.Month",{override:"Ext.picker.Month",okText:"&#160;Aceptar&#160;",cancelText:"Cancelar"});Ext.define("Ext.locale.es.toolbar.Paging",{override:"Ext.PagingToolbar",beforePageText:"Página",afterPageText:"de {0}",firstText:"Primera página",prevText:"Página anterior",nextText:"Página siguiente",lastText:"Última página",refreshText:"Actualizar",displayMsg:"Mostrando {0} - {1} de {2}",emptyMsg:"Sin datos para mostrar"});Ext.define("Ext.locale.es.form.field.Base",{override:"Ext.form.field.Base",invalidText:"El valor en este campo es inválido"});Ext.define("Ext.locale.es.form.field.Text",{override:"Ext.form.field.Text",minLengthText:"El tamaño mínimo para este campo es de {0}",maxLengthText:"El tamaño máximo para este campo es de {0}",blankText:"Este campo es obligatorio",regexText:"",emptyText:null});Ext.define("Ext.locale.es.form.field.Number",{override:"Ext.form.field.Number",decimalSeparator:",",decimalPrecision:2,minText:"El valor mínimo para este campo es de {0}",maxText:"El valor máximo para este campo es de {0}",nanText:"{0} no es un número válido"});Ext.define("Ext.locale.es.form.field.File",{override:"Ext.form.field.File",buttonText:"Examinar..."});Ext.define("Ext.locale.es.form.field.Date",{override:"Ext.form.field.Date",disabledDaysText:"Deshabilitado",disabledDatesText:"Deshabilitado",minText:"La fecha para este campo debe ser posterior a {0}",maxText:"La fecha para este campo debe ser anterior a {0}",invalidText:"{0} no es una fecha válida - debe tener el formato {1}",format:"d/m/Y",altFormats:"d/m/Y|d-m-y|d-m-Y|d/m|d-m|dm|dmy|dmY|d|Y-m-d"});Ext.define("Ext.locale.es.form.field.ComboBox",{override:"Ext.form.field.ComboBox",valueNotFoundText:undefined},function(){Ext.apply(Ext.form.field.ComboBox.prototype.defaultListConfig,{loadingText:"Cargando..."})});Ext.define("Ext.locale.es.form.field.VTypes",{override:"Ext.form.field.VTypes",emailText:'Este campo debe ser una dirección de correo electrónico con el formato "usuario@dominio.com"',urlText:'Este campo debe ser una URL con el formato "http://www.dominio.com"',alphaText:"Este campo sólo debe contener letras y _",alphanumText:"Este campo sólo debe contener letras, números y _"});Ext.define("Ext.locale.es.form.field.HtmlEditor",{override:"Ext.form.field.HtmlEditor",createLinkText:"Por favor proporcione la URL para el enlace:"},function(){Ext.apply(Ext.form.field.HtmlEditor.prototype,{buttonTips:{bold:{title:"Negritas (Ctrl+B)",text:"Transforma el texto seleccionado en Negritas.",cls:Ext.baseCSSPrefix+"html-editor-tip"},italic:{title:"Itálica (Ctrl+I)",text:"Transforma el texto seleccionado en Itálicas.",cls:Ext.baseCSSPrefix+"html-editor-tip"},underline:{title:"Subrayado (Ctrl+U)",text:"Subraya el texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},increasefontsize:{title:"Aumentar la fuente",text:"Aumenta el tamaño de la fuente",cls:Ext.baseCSSPrefix+"html-editor-tip"},decreasefontsize:{title:"Reducir la fuente",text:"Reduce el tamaño de la fuente.",cls:Ext.baseCSSPrefix+"html-editor-tip"},backcolor:{title:"Color de fondo",text:"Modifica el color de fondo del texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},forecolor:{title:"Color de la fuente",text:"Modifica el color del texto seleccionado.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyleft:{title:"Alinear a la izquierda",text:"Alinea el texto a la izquierda.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifycenter:{title:"Centrar",text:"Centrar el texto.",cls:Ext.baseCSSPrefix+"html-editor-tip"},justifyright:{title:"Alinear a la derecha",text:"Alinea el texto a la derecha.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertunorderedlist:{title:"Lista de viñetas",text:"Inicia una lista con viñetas.",cls:Ext.baseCSSPrefix+"html-editor-tip"},insertorderedlist:{title:"Lista numerada",text:"Inicia una lista numerada.",cls:Ext.baseCSSPrefix+"html-editor-tip"},createlink:{title:"Enlace",text:"Inserta un enlace de hipertexto.",cls:Ext.baseCSSPrefix+"html-editor-tip"},sourceedit:{title:"Código Fuente",text:"Pasar al modo de edición de código fuente.",cls:Ext.baseCSSPrefix+"html-editor-tip"}}})});Ext.define("Ext.locale.es.grid.header.Container",{override:"Ext.grid.header.Container",sortAscText:"Ordenar en forma ascendente",sortDescText:"Ordenar en forma descendente",columnsText:"Columnas"});Ext.define("Ext.locale.es.grid.GroupingFeature",{override:"Ext.grid.GroupingFeature",emptyGroupText:"(Ninguno)",groupByText:"Agrupar por este campo",showGroupsText:"Mostrar en grupos"});Ext.define("Ext.locale.es.grid.PropertyColumnModel",{override:"Ext.grid.PropertyColumnModel",nameText:"Nombre",valueText:"Valor",dateFormat:"j/m/Y"});Ext.define("Ext.locale.es.form.field.Time",{override:"Ext.form.field.Time",minText:"La hora en este campo debe ser igual o posterior a {0}",maxText:"La hora en este campo debe ser igual o anterior a {0}",invalidText:"{0} no es una hora válida",format:"g:i A",altFormats:"g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H"});Ext.define("Ext.locale.es.form.CheckboxGroup",{override:"Ext.form.CheckboxGroup",blankText:"Debe seleccionar al menos un étem de este grupo"});Ext.define("Ext.locale.es.form.RadioGroup",{override:"Ext.form.RadioGroup",blankText:"Debe seleccionar un étem de este grupo"});Ext.define("Ext.locale.es.window.MessageBox",{override:"Ext.window.MessageBox",buttonText:{ok:"Aceptar",cancel:"Cancelar",yes:"Sí",no:"No"}});Ext.define("Ext.locale.es.Component",{override:"Ext.Component"});}